<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.interfaces</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        Module&nbsp;interfaces
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="pyxmpp.interfaces-module.html">Module pyxmpp.interfaces</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"># (C) Copyright 2003-2010 Jacek Konieczny &lt;jajcus@jajcus.net&gt;</tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"># This program is free software; you can redistribute it and/or modify</tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"># it under the terms of the GNU Lesser General Public License Version</tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"># 2.1 as published by the Free Software Foundation.</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># This program is distributed in the hope that it will be useful,</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"># but WITHOUT ANY WARRANTY; without even the implied warranty of</tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"><tt class="py-comment"># MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</tt> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-comment"># GNU Lesser General Public License for more details.</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"><tt class="py-comment"># You should have received a copy of the GNU Lesser General Public</tt> </tt>
<a name="L14"></a><tt class="py-lineno">14</tt>  <tt class="py-line"><tt class="py-comment"># License along with this program; if not, write to the Free Software</tt> </tt>
<a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"><tt class="py-comment"># Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.</tt> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line"><tt class="py-comment">#</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"><tt class="py-docstring">"""Interfaces for flexible API extensions."""</tt> </tt>
<a name="L19"></a><tt class="py-lineno">19</tt>  <tt class="py-line"> </tt>
<a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line"><tt class="py-name">__docformat__</tt> <tt class="py-op">=</tt> <tt class="py-string">"restructuredtext en"</tt> </tt>
<a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"> </tt>
<a name="L22"></a><tt class="py-lineno">22</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt id="link-0" class="py-name" targets="Package pyxmpp=pyxmpp-module.html"><a title="pyxmpp" class="py-name" href="#" onclick="return doclink('link-0', 'pyxmpp', 'link-0');">pyxmpp</a></tt><tt class="py-op">.</tt><tt id="link-1" class="py-name" targets="Module pyxmpp.interface=pyxmpp.interface-module.html,Variable zope.interface.interface.Attribute.interface=zope.interface.interface.Attribute-class.html#interface"><a title="pyxmpp.interface
zope.interface.interface.Attribute.interface" class="py-name" href="#" onclick="return doclink('link-1', 'interface', 'link-1');">interface</a></tt> <tt class="py-keyword">import</tt> <tt id="link-2" class="py-name" targets="Variable pyxmpp.interface_micro_impl.Interface=pyxmpp.interface_micro_impl-module.html#Interface,Class zope.interface.Interface=zope.interface.Interface-class.html"><a title="pyxmpp.interface_micro_impl.Interface
zope.interface.Interface" class="py-name" href="#" onclick="return doclink('link-2', 'Interface', 'link-2');">Interface</a></tt><tt class="py-op">,</tt> <tt id="link-3" class="py-name" targets="Class pyxmpp.interface_micro_impl.Attribute=pyxmpp.interface_micro_impl.Attribute-class.html,Class zope.interface.interface.Attribute=zope.interface.interface.Attribute-class.html"><a title="pyxmpp.interface_micro_impl.Attribute
zope.interface.interface.Attribute" class="py-name" href="#" onclick="return doclink('link-3', 'Attribute', 'link-3');">Attribute</a></tt> </tt>
<a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line"> </tt>
<a name="IPyXMPPHelper"></a><div id="IPyXMPPHelper-def"><a name="L24"></a><tt class="py-lineno">24</tt> <a class="py-toggle" href="#" id="IPyXMPPHelper-toggle" onclick="return toggle('IPyXMPPHelper');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IPyXMPPHelper-class.html">IPyXMPPHelper</a><tt class="py-op">(</tt><tt class="py-base-class">Interface</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IPyXMPPHelper-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IPyXMPPHelper-expanded"><a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line">    <tt class="py-docstring">"""Base for all interfaces used as PyXMPP helpers."""</tt> </tt>
</div><a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line"> </tt>
<a name="IPresenceHandlersProvider"></a><div id="IPresenceHandlersProvider-def"><a name="L27"></a><tt class="py-lineno">27</tt> <a class="py-toggle" href="#" id="IPresenceHandlersProvider-toggle" onclick="return toggle('IPresenceHandlersProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IPresenceHandlersProvider-class.html">IPresenceHandlersProvider</a><tt class="py-op">(</tt><tt class="py-base-class">IPyXMPPHelper</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IPresenceHandlersProvider-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IPresenceHandlersProvider-expanded"><a name="IPresenceHandlersProvider.get_presence_handlers"></a><div id="IPresenceHandlersProvider.get_presence_handlers-def"><a name="L28"></a><tt class="py-lineno">28</tt> <a class="py-toggle" href="#" id="IPresenceHandlersProvider.get_presence_handlers-toggle" onclick="return toggle('IPresenceHandlersProvider.get_presence_handlers');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.interfaces.IPresenceHandlersProvider-class.html#get_presence_handlers">get_presence_handlers</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IPresenceHandlersProvider.get_presence_handlers-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="IPresenceHandlersProvider.get_presence_handlers-expanded"><a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">        <tt class="py-docstring">"""Returns iterable over (presence_type, handler[, namespace[, priority]]) tuples.</tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line"><tt class="py-docstring">        The tuples will be used as arguments for `Stream.set_presence_handler`."""</tt> </tt>
</div></div><a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line"> </tt>
<a name="IMessageHandlersProvider"></a><div id="IMessageHandlersProvider-def"><a name="L33"></a><tt class="py-lineno">33</tt> <a class="py-toggle" href="#" id="IMessageHandlersProvider-toggle" onclick="return toggle('IMessageHandlersProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IMessageHandlersProvider-class.html">IMessageHandlersProvider</a><tt class="py-op">(</tt><tt class="py-base-class">IPyXMPPHelper</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IMessageHandlersProvider-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IMessageHandlersProvider-expanded"><a name="IMessageHandlersProvider.get_message_handlers"></a><div id="IMessageHandlersProvider.get_message_handlers-def"><a name="L34"></a><tt class="py-lineno">34</tt> <a class="py-toggle" href="#" id="IMessageHandlersProvider.get_message_handlers-toggle" onclick="return toggle('IMessageHandlersProvider.get_message_handlers');">-</a><tt class="py-line">     <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.interfaces.IMessageHandlersProvider-class.html#get_message_handlers">get_message_handlers</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IMessageHandlersProvider.get_message_handlers-collapsed" style="display:none;" pad="++" indent="+++++++++"></div><div id="IMessageHandlersProvider.get_message_handlers-expanded"><a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">        <tt class="py-docstring">"""Returns iterable over (message_type, handler[, namespace[, priority]]) tuples.</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line"><tt class="py-docstring">        The tuples will be used as arguments for `Stream.set_message_handler`."""</tt> </tt>
</div></div><a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">  </tt>
<a name="IIqHandlersProvider"></a><div id="IIqHandlersProvider-def"><a name="L39"></a><tt class="py-lineno">39</tt> <a class="py-toggle" href="#" id="IIqHandlersProvider-toggle" onclick="return toggle('IIqHandlersProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IIqHandlersProvider-class.html">IIqHandlersProvider</a><tt class="py-op">(</tt><tt class="py-base-class">IPyXMPPHelper</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IIqHandlersProvider-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IIqHandlersProvider-expanded"><a name="IIqHandlersProvider.get_iq_get_handlers"></a><div id="IIqHandlersProvider.get_iq_get_handlers-def"><a name="L40"></a><tt class="py-lineno">40</tt> <a class="py-toggle" href="#" id="IIqHandlersProvider.get_iq_get_handlers-toggle" onclick="return toggle('IIqHandlersProvider.get_iq_get_handlers');">-</a><tt class="py-line">     <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.interfaces.IIqHandlersProvider-class.html#get_iq_get_handlers">get_iq_get_handlers</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IIqHandlersProvider.get_iq_get_handlers-collapsed" style="display:none;" pad="++" indent="+++++++++"></div><div id="IIqHandlersProvider.get_iq_get_handlers-expanded"><a name="L41"></a><tt class="py-lineno">41</tt>  <tt class="py-line">        <tt class="py-docstring">"""Returns iterable over (element_name, namespace) tuples.</tt> </tt>
<a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line"><tt class="py-docstring">        The tuples will be used as arguments for `Stream.set_iq_get_handler`."""</tt> </tt>
</div><a name="IIqHandlersProvider.get_iq_set_handlers"></a><div id="IIqHandlersProvider.get_iq_set_handlers-def"><a name="L44"></a><tt class="py-lineno">44</tt> <a class="py-toggle" href="#" id="IIqHandlersProvider.get_iq_set_handlers-toggle" onclick="return toggle('IIqHandlersProvider.get_iq_set_handlers');">-</a><tt class="py-line">     <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.interfaces.IIqHandlersProvider-class.html#get_iq_set_handlers">get_iq_set_handlers</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IIqHandlersProvider.get_iq_set_handlers-collapsed" style="display:none;" pad="++" indent="+++++++++"></div><div id="IIqHandlersProvider.get_iq_set_handlers-expanded"><a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">        <tt class="py-docstring">"""Returns iterable over (element_name, namespace) tuples.</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line"><tt class="py-docstring"></tt> </tt>
<a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line"><tt class="py-docstring">        The tuples will be used as arguments for `Stream.set_iq_set_handler`."""</tt> </tt>
</div></div><a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line"> </tt>
<a name="IStanzaHandlersProvider"></a><div id="IStanzaHandlersProvider-def"><a name="L49"></a><tt class="py-lineno">49</tt> <a class="py-toggle" href="#" id="IStanzaHandlersProvider-toggle" onclick="return toggle('IStanzaHandlersProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IStanzaHandlersProvider-class.html">IStanzaHandlersProvider</a><tt class="py-op">(</tt><tt class="py-base-class">IPresenceHandlersProvider</tt><tt class="py-op">,</tt> <tt class="py-base-class">IMessageHandlersProvider</tt><tt class="py-op">,</tt> <tt class="py-base-class">IIqHandlersProvider</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IStanzaHandlersProvider-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IStanzaHandlersProvider-expanded"><a name="L50"></a><tt class="py-lineno">50</tt>  <tt class="py-line">    <tt class="py-keyword">pass</tt> </tt>
</div><a name="L51"></a><tt class="py-lineno">51</tt>  <tt class="py-line"> </tt>
<a name="IFeaturesProvider"></a><div id="IFeaturesProvider-def"><a name="L52"></a><tt class="py-lineno">52</tt> <a class="py-toggle" href="#" id="IFeaturesProvider-toggle" onclick="return toggle('IFeaturesProvider');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="pyxmpp.interfaces.IFeaturesProvider-class.html">IFeaturesProvider</a><tt class="py-op">(</tt><tt class="py-base-class">IPyXMPPHelper</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IFeaturesProvider-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="IFeaturesProvider-expanded"><a name="IFeaturesProvider.get_features"></a><div id="IFeaturesProvider.get_features-def"><a name="L53"></a><tt class="py-lineno">53</tt> <a class="py-toggle" href="#" id="IFeaturesProvider.get_features-toggle" onclick="return toggle('IFeaturesProvider.get_features');">-</a><tt class="py-line">    <tt class="py-keyword">def</tt> <a class="py-def-name" href="pyxmpp.interfaces.IFeaturesProvider-class.html#get_features">get_features</a><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="IFeaturesProvider.get_features-collapsed" style="display:none;" pad="++" indent="++++++++"></div><div id="IFeaturesProvider.get_features-expanded"><a name="L54"></a><tt class="py-lineno">54</tt>  <tt class="py-line">        <tt class="py-docstring">"""Return iterable of namespaces (features) supported, for disco#info</tt> </tt>
<a name="L55"></a><tt class="py-lineno">55</tt>  <tt class="py-line"><tt class="py-docstring">        query response."""</tt> </tt>
</div></div><a name="L56"></a><tt class="py-lineno">56</tt>  <tt class="py-line"> </tt>
<a name="L57"></a><tt class="py-lineno">57</tt>  <tt class="py-line"> </tt>
<a name="L58"></a><tt class="py-lineno">58</tt>  <tt class="py-line"><tt class="py-name">__all__</tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt> <tt id="link-4" class="py-name" targets="Variable pyxmpp.all.name=pyxmpp.all-module.html#name,Variable pyxmpp.interfaces.name=pyxmpp.interfaces-module.html#name,Variable pyxmpp.jabber.all.name=pyxmpp.jabber.all-module.html#name,Variable pyxmpp.jabber.disco.DiscoIdentity.name=pyxmpp.jabber.disco.DiscoIdentity-class.html#name,Variable pyxmpp.jabber.disco.DiscoItem.name=pyxmpp.jabber.disco.DiscoItem-class.html#name,Variable pyxmpp.jabberd.all.name=pyxmpp.jabberd.all-module.html#name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-4', 'name', 'link-4');">name</a></tt> <tt class="py-keyword">for</tt> <tt id="link-5" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-5', 'name', 'link-4');">name</a></tt> <tt class="py-keyword">in</tt> <tt class="py-name">dir</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> <tt class="py-keyword">if</tt> <tt id="link-6" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-6', 'name', 'link-4');">name</a></tt><tt class="py-op">.</tt><tt class="py-name">startswith</tt><tt class="py-op">(</tt><tt class="py-string">"I"</tt><tt class="py-op">)</tt> <tt class="py-keyword">and</tt> <tt id="link-7" class="py-name"><a title="pyxmpp.all.name
pyxmpp.interfaces.name
pyxmpp.jabber.all.name
pyxmpp.jabber.disco.DiscoIdentity.name
pyxmpp.jabber.disco.DiscoItem.name
pyxmpp.jabberd.all.name" class="py-name" href="#" onclick="return doclink('link-7', 'name', 'link-4');">name</a></tt> <tt class="py-op">!=</tt> <tt class="py-string">"Interface"</tt> <tt class="py-op">]</tt> </tt>
<a name="L59"></a><tt class="py-lineno">59</tt>  <tt class="py-line"> </tt>
<a name="L60"></a><tt class="py-lineno">60</tt>  <tt class="py-line"><tt class="py-comment"># vi: sts=4 et sw=4</tt> </tt>
<a name="L61"></a><tt class="py-lineno">61</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:08 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
